SignedPublicKeyAndChallenge (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1.mozilla

## Class SignedPublicKeyAndChallenge

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.mozilla.SignedPublicKeyAndChallenge

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class SignedPublicKeyAndChallenge
      extends ASN1Object

        SignedPublicKeyAndChallenge ::= SEQUENCE {
          publicKeyAndChallenge PublicKeyAndChallenge,
          signatureAlgorithm AlgorithmIdentifier,
          signature BIT STRING
        }

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SignedPublicKeyAndChallenge` | `getInstance(java.lang.Object obj)`
    `PublicKeyAndChallenge` | `getPublicKeyAndChallenge()`
    `DERBitString` | `getSignature()`
    `AlgorithmIdentifier` | `getSignatureAlgorithm()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static SignedPublicKeyAndChallenge getInstance(java.lang.Object obj)

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### getPublicKeyAndChallenge

          public PublicKeyAndChallenge getPublicKeyAndChallenge()

    - #### getSignatureAlgorithm

          public AlgorithmIdentifier getSignatureAlgorithm()

    - #### getSignature

          public DERBitString getSignature()